Documents

Document Request List

GET
/documents/request/list

Returns a paginated, optionally filtered and sorted list of document requests.

Authorization

AuthorizationBearer <token>

JWT token to authenticate the request.

In: header

X-Api-Key<token>

API key, sent as a request header.

In: header

Query Parameters

top?integer

Maximum number of records to return (page size).

skip?integer

Number of records to skip (page offset).

orderby?string

Sort clause in the form Column|DIRECTION, e.g. Name|DESC. The column and direction are separated by a pipe (|).

filter?string

URL-encoded JSON array of filter clauses (see FilterDTO). Example (decoded): [{"key":"Filter1","column":"Name","type":"string","condition":"CONTAINS","value":"Invoice"}].

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/documents/request/list"
{  "result": {    "data": {      "documentRequests": [        {          "documentRequestGuid": "6ba7b810-9dad-11d1-80b4-00c04fd430c8",          "subscriptionGuid": "9b1deb4d-3b7d-4bad-9bdd-2b0d7b3dcb6d",          "documentTemplateGuid": "7c9e6679-7425-40de-944b-e07fc1f90ae7",          "dataGuid": "3f2504e0-4f89-41d3-9a0c-0305e82c3301",          "documentGuid": "",          "documentSolutionConfigurationGuid": "a3bb189e-8bf9-3888-9912-ace4e6543002",          "ownerGuid": "1a2b3c4d-5e6f-4a1b-8c2d-3e4f5a6b7c8d",          "lastModifiedUserGuid": "1a2b3c4d-5e6f-4a1b-8c2d-3e4f5a6b7c8d",          "recordId": "INV-2026-000123",          "name": "Invoice run - Contoso July",          "status": "Pending",          "embeddedData": "{\"invoiceNumber\":\"INV-2026-000123\"}",          "title": "Invoice INV-2026-000123",          "fileFormat": "pdf",          "processingType": "STANDARD",          "deliveryMethod": "Email",          "path": "output/invoices/",          "pdfConformanceLevel": "PdfA2B",          "pdfVersion": "2026-01-07",          "language": "en",          "locale": "en-US",          "timeZone": "America/New_York",          "viewAnonymous": false,          "editAnonymous": false,          "viewOrganization": true,          "editOrganization": false,          "viewUser": true,          "editUser": false,          "viewUserEmailList": "alice@example.com,bob@example.com",          "editUserEmailList": "carol@example.com",          "createdDate": "2026-07-14T09:30:00.0000000+00:00",          "completedDate": "",          "lastModifiedDate": "2026-07-14T09:30:00.0000000+00:00",          "isDeleted": false        }      ],      "rowCount": 1    },    "statusCode": 200,    "message": "OK"  },  "origin": "https://app.example.com",  "dateTime": "2026-07-14T09:30:00.0000000+00:00",  "operationId": "0HN7GK9M4T2R5"}
{  "code": "DATA_NAME_REQUIRED",  "message": "Name is required."}
Empty
Empty
{  "code": "GET_DATA_SOURCE_ERROR",  "message": "An unexpected error occurred.",  "eventId": "a1b2c3d4"}